package com.liquidnet.client.admin.zhengzai.smile.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.liquidnet.client.admin.zhengzai.smile.vo.SmileUserVo;
import com.liquidnet.client.admin.zhengzai.smile.vo.SmileUserVoOrg;
import com.liquidnet.service.smile.entity.SmileUser;

import java.util.List;

public interface ISmileUserService  extends IService<SmileUser> {

    List<SmileUserVo> userList();

    SmileUser getUserById(Long uid);

    int create(SmileUser smileUser);

    List<SmileUserVoOrg> getUserListByOrgId(Long orgId, Long agentId);

    SmileUserVo getUserByPhone(String phone);
}
